%define rel	1

#comment out if stable release
#define pre     rc1

Name:		gtkterm
Version:	1.1.1
Release:	%mkrel %{?pre:0.%{pre}.}%{rel}
Summary:	Serial port terminal
Group:		Communications/Serial
License:	GPLv2+
URL:		https://github.com/Jeija/gtkterm
Source0:        https://github.com/Jeija/gtkterm/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(gudev-1.0)

%description
Gtkterm is a simple GTK+ terminal used to communicate with a serial port.
It is has fewer features than minicom, but is designed to be as easy to
use as possible.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS README*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Dec 21 2020 wally <wally> 1.1.1-1.mga8
+ Revision: 1662555
- new version 1.1.1

* Thu Jul 23 2020 wally <wally> 1.1-2.mga8
+ Revision: 1608250
- new version 1.1

* Tue Feb 18 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1541395
- Mageia 8 Mass Rebuild

* Thu Dec 26 2019 wally <wally> 1.0.1-1.mga8
+ Revision: 1470149
- switch to gtk3 port
- new version 1.0.1
- use .desktop file from upstream

* Sun Sep 23 2018 umeabot <umeabot> 0.99.7-0.rc1.8.mga7
+ Revision: 1298130
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.99.7-0.rc1.7.mga6
+ Revision: 940489
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.99.7-0.rc1.6.mga5
+ Revision: 744957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99.7-0.rc1.5.mga5
+ Revision: 680034
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.99.7-0.rc1.4.mga4
+ Revision: 505381
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.99.7-0.rc1.3.mga3
+ Revision: 352939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 0.99.7-0.rc1.2.mga3
+ Revision: 302282
- update RPM group

* Fri Feb 24 2012 wally <wally> 0.99.7-0.rc1.1.mga2
+ Revision: 214103
- new version 0.99.7 rc1
- drop patches
- clean .spec

* Sat Jun 18 2011 wally <wally> 0.99.6-1.mga2
+ Revision: 109402
- imported package gtkterm


* Tue Apr 12 2011 Jani Välimaa <wally@mandriva.org> 0.99.6-1mdv2011.0
+ Revision: 652970
- new version 0.99.6
- sync patches with Fedora
- fix url and source tag
- drop support for old mdv releases
- drop buildroot definition
- clean .spec a bit

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 0.99.5-8mdv2011.0
+ Revision: 571930
- build with latest vte

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-8mdv2010.0
+ Revision: 384687
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-7mdv2010.0
+ Revision: 382166
- rebuild for new libvte

* Wed May 13 2009 Funda Wang <fwang@mandriva.org> 0.99.5-6mdv2010.0
+ Revision: 375208
- sync with fedora patches to fix bug#50832

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.99.5-5mdv2009.0
+ Revision: 246709
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 05 2007 Funda Wang <fwang@mandriva.org> 0.99.5-3mdv2008.1
+ Revision: 115515
- add missing categories
- add xdg menu entry
- Rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix hardcoded man page extension
    - import gtkterm


* Fri Feb 03 2006 Jerome Soyer <saispo@mandriva.org> 0.99.5-1mdk
- New release 0.99.5

* Fri Dec 16 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.99.4-1mdk 
- First Mandriva release based on fedora spec
